| The Gaudi Framework v28r2p1 (f1a77ff4)

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Private Attributes | List of all members
ReplayOutputStream::OutStreamTrigger Class Reference

Helper class to call the required OutputStream. More...

Collaboration diagram for ReplayOutputStream::OutStreamTrigger:
[legend]

## Public Member Functions
| OutStreamTrigger (ReplayOutputStream *ptr)
void | operator() (const std::string &name) const

## Private Attributes
ReplayOutputStream * | m_ptr

## Detailed Description

Helper class to call the required OutputStream.

Definition at line 50 of file ReplayOutputStream.h.

## Constructor & Destructor Documentation

ReplayOutputStream::OutStreamTrigger::OutStreamTrigger | ( | ReplayOutputStream * | ptr | ) |
| inline

Definition at line 53 of file ReplayOutputStream.h.

53 : m_ptr( ptr ) {}
ReplayOutputStream::OutStreamTrigger::m_ptr
ReplayOutputStream * m_ptr
Definition: ReplayOutputStream.h:69

## Member Function Documentation

void ReplayOutputStream::OutStreamTrigger::operator() | ( | const std::string & | name | ) | const
| inline

Definition at line 54 of file ReplayOutputStream.h.

55 {
56 SmartIF<IAlgorithm>& alg = m_ptr->m_outputStreams[name];
57 if ( alg ) {
58 if ( !alg->isExecuted() ) {
59 alg->sysExecute(Gaudi::Hive::currentContext());
60 } else {
61 m_ptr->warning() << name << " already executed for the current event" << endmsg;
62 }
63 } else {
64 m_ptr->warning() << "invalid OuputStream " << name << endmsg;
65 }
66 }
SmartIF< IAlgorithm >
Algorithm::name
const std::string & name() const override
The identifying name of the algorithm object.
Definition: Algorithm.cpp:715
ReplayOutputStream::m_outputStreams
OutStreamsMapType m_outputStreams
Internal storage for the OutputStreams to call.
Definition: ReplayOutputStream.h:81
CommonMessagingBase::warning
MsgStream & warning() const
shortcut for the method msgStream(MSG::WARNING)
Definition: CommonMessaging.h:120
IAlgorithm::isExecuted
virtual bool isExecuted() const =0
check if the algorithm is already executed for the current event
IAlgorithm::sysExecute
virtual StatusCode sysExecute(const EventContext &)=0
System execution. This method invokes the execute() method of a concrete algorithm.
Gaudi::Hive::currentContext
GAUDI_API const EventContext & currentContext()
Definition: ThreadLocalContext.cpp:24
ReplayOutputStream::OutStreamTrigger::m_ptr
ReplayOutputStream * m_ptr
Definition: ReplayOutputStream.h:69
endmsg
MsgStream & endmsg(MsgStream &s)
MsgStream Modifier: endmsg. Calls the output method of the MsgStream.
Definition: MsgStream.h:244

## Member Data Documentation

ReplayOutputStream* ReplayOutputStream::OutStreamTrigger::m_ptr
| private

Definition at line 69 of file ReplayOutputStream.h.

The documentation for this class was generated from the following file:

- GaudiMP/src/component/ReplayOutputStream.h